package com.fs.course.mapper;

import java.util.List;
import com.fs.course.domain.FsCourseDomainName;
import org.apache.ibatis.annotations.Select;

/**
 * 课程短链域名Mapper接口
 *
 * @author fs
 * @date 2024-10-09
 */
public interface FsCourseDomainNameMapper
{
    /**
     * 查询课程短链域名
     *
     * @param id 课程短链域名主键
     * @return 课程短链域名
     */
    public FsCourseDomainName selectFsCourseDomainNameById(Long id);

    /**
     * 查询课程短链域名列表
     *
     * @param fsCourseDomainName 课程短链域名
     * @return 课程短链域名集合
     */
    public List<FsCourseDomainName> selectFsCourseDomainNameList(FsCourseDomainName fsCourseDomainName);

    /**
     * 新增课程短链域名
     *
     * @param fsCourseDomainName 课程短链域名
     * @return 结果
     */
    public int insertFsCourseDomainName(FsCourseDomainName fsCourseDomainName);

    /**
     * 修改课程短链域名
     *
     * @param fsCourseDomainName 课程短链域名
     * @return 结果
     */
    public int updateFsCourseDomainName(FsCourseDomainName fsCourseDomainName);

    /**
     * 删除课程短链域名
     *
     * @param id 课程短链域名主键
     * @return 结果
     */
    public int deleteFsCourseDomainNameById(Long id);

    /**
     * 批量删除课程短链域名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsCourseDomainNameByIds(Long[] ids);

    @Select("SELECT * FROM fs_course_domain_name where status = 1 ORDER BY RAND() LIMIT 1;")
    FsCourseDomainName selectFsCourseDomainNameByRandom();

    @Select("select * from fs_course_domain_name ")
    List<FsCourseDomainName> selectAllDomainNames();
}
